React-Native app not loading — null Expo SDK version

The experience you requested uses Expo SDK v(null), but this copy of Expo Client requires at least v20.0.0. The author should update their experience to a newer Expo SDK version.

So your app was working till today and it suddenly stopped working or you cloned a git repo of a project that you'd like to view or start with. This is a very common error in React Native.

  1. All you have to do is find the file called "app.json" and update it

In "app.json" you are going to see the "sdkVersion"


{
  "expo": {
    "sdkVersion": "31.0.0"
  }
}
  1. Just update the sdkVersion to the version expo is showing you
  2. Restart expo in terminal

Did it work?

Have an idea?

Let us transform your idea into a Scalable Product

Phone

424-388-1279

Address

1450 2nd St, Santa Monica, CA 90401